textures/ut4_frenzee/fzee_nebula_skybox
{
	qer_editorimage env/ut4_frenzee/purplenebula_bk.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_skylight 50 3
	surfaceparm sky
	q3map_sunEXT 0.8 0.6 0.5 20 320 20 1 16
	q3map_backSplash 0 512
	skyparms env/ut4_frenzee/purplenebula 512 -
}

// ---=== no damage textures ===---

textures/ut4_frenzee/black:q3map
{
	surfaceparm nodamage
}

textures/ut4_frenzee/e6c_stepedge:q3map
{
	surfaceparm nodamage
}

textures/ut4_frenzee/e6tileceiling:q3map
{
	surfaceparm nodamage
}

textures/ut4_frenzee/e6trim_ltb:q3map
{
	surfaceparm nodamage
}

textures/ut4_frenzee/e8mtltrim:q3map
{
	surfaceparm nodamage
}

textures/ut4_frenzee/e8trim_blue:q3map
{
	surfaceparm nodamage
}

textures/ut4_frenzee/e8trim_red:q3map
{
	surfaceparm nodamage
}

textures/ut4_frenzee/e8trim2_blue:q3map
{
	surfaceparm nodamage
}

textures/ut4_frenzee/e8trim2_red:q3map
{
	surfaceparm nodamage
}

textures/ut4_frenzee/pr_metal027b:q3map
{
	surfaceparm nodamage
}

textures/ut4_frenzee/pr_metal027r:q3map
{
	surfaceparm nodamage
}

textures/ut4_frenzee/pr_metal061:q3map
{
	surfaceparm nodamage
}

textures/ut4_frenzee/pr_metal076:q3map
{
	surfaceparm nodamage
}

textures/ut4_frenzee/pr_metal091:q3map
{
	surfaceparm nodamage
}

textures/ut4_frenzee/soc_064-13b_gray:q3map
{
	surfaceparm nodamage
}

textures/ut4_frenzee/soc_13b-16x256_gray:q3map
{
	surfaceparm nodamage
}

textures/ut4_frenzee/soc_graymetal1:q3map
{
	surfaceparm nodamage
}

textures/ut4_frenzee/soc_matgrey_lgt1:q3map
{
	surfaceparm nodamage
}

textures/ut4_frenzee/soc_matgrey_lgt2:q3map
{
	surfaceparm nodamage
}

textures/ut4_frenzee/soc_s064-02a:q3map
{
	surfaceparm nodamage
}

// ---=== Spawn teleport murals ===---

textures/ut4_frenzee/fzee_smainR_b
{
	qer_editorimage textures/ut4_frenzee/fz_sb_mainR.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
//	surfaceparm lightfilter
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	
	{	
		map textures/ut4_frenzee/fz_sb_mainR.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}

}

textures/ut4_frenzee/fzee_smainL_b
{
	qer_editorimage textures/ut4_frenzee/fz_sb_mainL.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
//	surfaceparm lightfilter
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	
	{	
		map textures/ut4_frenzee/fz_sb_mainL.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}

}

textures/ut4_frenzee/fzee_stop_b
{
	qer_editorimage textures/ut4_frenzee/fz_sb_top.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
//	surfaceparm lightfilter
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	
	{	
		map textures/ut4_frenzee/fz_sb_top.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}

}

textures/ut4_frenzee/fzee_smainR_r
{
	qer_editorimage textures/ut4_frenzee/fz_sr_mainR.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
//	surfaceparm lightfilter
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	
	{	
		map textures/ut4_frenzee/fz_sr_mainR.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}

}

textures/ut4_frenzee/fzee_smainL_r
{
	qer_editorimage textures/ut4_frenzee/fz_sr_mainL.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
//	surfaceparm lightfilter
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	
	{	
		map textures/ut4_frenzee/fz_sr_mainL.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}

}

textures/ut4_frenzee/fzee_stop_r
{
	qer_editorimage textures/ut4_frenzee/fz_sr_top.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
//	surfaceparm lightfilter
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	
	{	
		map textures/ut4_frenzee/fz_sr_top.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}

}

textures/ut4_frenzee/fzee_smid
{
	qer_editorimage textures/ut4_frenzee/fz_s_mid.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
//	surfaceparm lightfilter
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	
	{	
		map textures/ut4_frenzee/fz_s_mid.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}

}

//glass: slippery, no damage

textures/ut4_frenzee/fzee_glass_slip
{
	qer_editorimage textures/ut4_frenzee/shiny3.tga
	qer_trans 0.5
	surfaceparm lightfilter
	surfaceparm slick
	surfaceparm nodamage
	q3map_bounce .1	

	{
		map textures/ut4_frenzee/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}


// ---=== Teleport Orbs ===---

textures/ut4_frenzee/fzee_teleborb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 1000
	qer_editorimage textures/ut4_frenzee/soc_blue_telep.jpg
	qer_trans 0.4

	cull none

	{
		map textures/ut4_frenzee/soc_blue_telep.jpg
		tcmod rotate 360
//		tcmod stretch sin 1 .1 0 .1
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_frenzee/fzee_telerorb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 1000
	qer_editorimage textures/ut4_frenzee/soc_red_telep.jpg
	qer_trans 0.4

	cull none

	{
		map textures/ut4_frenzee/soc_red_telep.jpg
		tcmod rotate 360
//		tcmod stretch sin 1 .1 0 .1
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== BBQ window as center grating ===---

textures/ut4_frenzee/fzee_fence
{
	qer_editorimage textures/ut4_frenzee/bbq_window.tga
	surfaceparm trans
	surfaceparm nodamage		
	cull none
        nopicmip

	{
		map textures/ut4_frenzee/bbq_window.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ---=== Ladderclip ===---

textures/ut4_frenzee/fzee_ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
	surfaceparm nodamage
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}

// ---=== Soc jumppads ===---

textures/ut4_frenzee/fzee_jpblue
{
	qer_editorimage textures/ut4_frenzee/soc_jp01c.tga
	q3map_lightimage textures/ut4_frenzee/soc_jumppadsmall_b.tga	
	q3map_surfacelight 800
	surfaceparm nodamage
	{
		map textures/ut4_frenzee/soc_blue_telep.tga
                tcmod rotate 180
                tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_frenzee/soc_jumppadsmall_b.tga
		blendfunc ADD
		tcMod stretch sin 2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/ut4_frenzee/soc_jp01c.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut4_frenzee/fzee_jpgold
{
	qer_editorimage textures/ut4_frenzee/soc_jp01c.tga
	q3map_lightimage textures/ut4_frenzee/soc_jumppadsmall_g.tga	
	q3map_surfacelight 800
	surfaceparm nodamage
	{
		map textures/ut4_frenzee/soc_gold_telep.tga
                tcmod rotate 180
                tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_frenzee/soc_jumppadsmall_g.tga
		blendfunc ADD
		tcMod stretch sin 2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/ut4_frenzee/soc_jp01c.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut4_frenzee/fzee_jpred
{
	qer_editorimage textures/ut4_frenzee/soc_jp01c.tga
	q3map_lightimage textures/ut4_frenzee/soc_jumppadsmall_r.tga	
	q3map_surfacelight 800
	surfaceparm nodamage
	{
		map textures/ut4_frenzee/soc_red_telep.tga
                tcmod rotate 180
                tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_frenzee/soc_jumppadsmall_r.tga
		blendfunc ADD
		tcMod stretch sin 2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/ut4_frenzee/soc_jp01c.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ---=== Launchpad from Q3A tex replace pak ===---

textures/ut4_frenzee/fzee_launch1
{
	qer_editorimage textures/ut4_frenzee/launchpad_metalbridge04d.tga
	surfaceparm nodamage

	{
		map $lightmap
		rgbGen identity
	}

	{ 
		map textures/ut4_frenzee/launchpad_metalbridge04d.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{	
		map textures/ut4_frenzee/launchpad_dot.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1	
	}
	{ 
		animmap 4 textures/ut4_frenzee/launchpad_arrow.tga textures/ut4_frenzee/launchpad_arrow2.tga textures/ut4_frenzee/launchpad_arrow2.tga textures/ut4_frenzee/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}

}

// ---=== evil textures ===---

textures/ut4_frenzee/fzee_e6xgratebasic_s
{
	qer_editorimage textures/ut4_frenzee/e6xgratebasic.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	surfaceparm nodamage
	cull none

	{
		map textures/ut4_frenzee/e6xgratebasic.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
		depthfunc equal
		blendfunc filter
	}
}


textures/ut4_frenzee/fzee_e6trim_light_s_nolight
{
	qer_editorimage textures/ut4_frenzee/e6trim_light.tga
	surfaceparm nomarks
	surfaceparm nodamage

	{
		map textures/ut4_frenzee/e6trim_light.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_frenzee/e6trim_light_blend.tga
		blendfunc add
	}
}


textures/ut4_frenzee/fzee_e8tinylightb
{
	qer_editorimage textures/ut4_frenzee/e8tinylightblue.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	surfaceparm nodamage

	{
		map textures/ut4_frenzee/e8tinylightblue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_frenzee/e8tinylightblue.blend.tga
		blendfunc add
	}
}

textures/ut4_frenzee/fzee_e8trimlight2_blue
{
	qer_editorimage textures/ut4_frenzee/e8trimlight2_blue.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	surfaceparm nodamage

	{
		map textures/ut4_frenzee/e8trimlight2_blue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_frenzee/e8trimlight2_blue.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_frenzee/fzee_e8trimlight2_red
{
	qer_editorimage textures/ut4_frenzee/e8trimlight2_red.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	surfaceparm nodamage

	{
		map textures/ut4_frenzee/e8trimlight2_red.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_frenzee/e8trimlight2_red.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_frenzee/fzee_e8metal03c_shiney
{
	qer_editorimage textures/ut4_frenzee/e8metal03c.tga
	surfaceparm nodamage

	{
		map textures/ut4_frenzee/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/ut4_frenzee/e8metal03c.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/ut4_frenzee/fzee_e8metal_blue_shiney
{
	qer_editorimage textures/ut4_frenzee/e8metal_blue.tga
	surfaceparm nodamage

	{
		map textures/ut4_frenzee/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/ut4_frenzee/e8metal_blue.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/ut4_frenzee/fzee_e8metal_red_shiney
{
	qer_editorimage textures/ut4_frenzee/e8metal_red.tga
	surfaceparm nodamage

	{
		map textures/ut4_frenzee/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/ut4_frenzee/e8metal_red.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}